use data1
drop  ymove - np9507
mvdecode income, mv(0=.a)
sort gender
by gender: summarize  income
summarize  income, detail
label variable emp "Status of employment in '97"
label define emplb 1 "full time" 2 "part time" 3 "retraining" \\\
  4 "irregular" 5 "not working" 6  "military service" 7 "unemployed", modify
label values emp emplb
generate men = 1 if gender == 1
replace men = 0 if gender == 2
generate fulltime = 1 if emp == 1
replace fulltime = 0 if emp == 2
regress income men fulltime
