* Some examples for foreach-loops 

version 7.0

* Example with Varlist
foreach X of varlist np9501-np9507 { 
        tabulate `X' gender 
}

* Example with New-Varlist
foreach var of  newlist r1-r10 { 
        gen  `var' = uniform() 
}


* Example with Numlist
foreach num of  numlist 1/10 { 
        replace r`num' = uniform() 
}

* Example with Anylist 
foreach piece in This list has 4 pieces { 
        display "`piece'" 
}

* Example with More than one line
foreach var of varlist ybirth income {
        summarize `var', meanonly
        generate `var'_c = `var' - r(mean) 
        label variable `var'_c "`var' (centered)"
}

* Parallell list structures
local i 1
foreach var of varlist kitchen shower wc {
        generate equip`i' = `var' - 1 
        local i = `i' + 1 
}

exit

